#pragma once

#include "CoreMinimal.h"
#include "Animation/AnimInstance.h"
#include "DemogorgonPortalAnimInstance.generated.h"

class AKiller;

UCLASS(Blueprintable, NonTransient)
class THEDEMOGORGON_API UDemogorgonPortalAnimInstance : public UAnimInstance
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintPure)
	AKiller* GetKiller() const;

public:
	UDemogorgonPortalAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UDemogorgonPortalAnimInstance) { return 0; }
